Subject: Re: Saving to 32 bits of GPRs in signal context

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 30 May 2007 09:19:59 +1000

On Tue, 2007-05-29 at 18:16 -0500, Steve Munroe wrote:
> 
> The pad field may be occupied with data if the code was compiled on a
> older
> distro and ucontext_t is misaligned (an odd Doubleword). So the pad
> field
> is free for reuse onless you version the code to handle unalligned VMX
> registers.

Actually... there are two pad areas ... also, I would only use that on
contexts that I generated myself (signal contexts) so I suppose that
should be allright.
 
> > Do you see any possible compatibility problem there ? Do you know of
> any
> > piece of software that makes hard assumptions on the shape and size
> of a
> > complete signal frame (not just the ucontext part of it) ?
> >
> 
> The signal frame can change, as long as the relative offset and size
> of the
> ucontext_t is unchanged. 

Ok.

Ben.